<%@ page contentType="text/html; charset=UTF-8"%>
<%@ include file="/WEB-INF/jspf/include/taglibs.jsp"%>

<script type="text/javascript">

function checkMobiPay( form )
{
	if ( form.serviceCode.value == "0" )
	{
		alert( 'Выберите оператора' );
		return false;		
	}
	var summa = Number( form.summa.value );
	if ( Number.isNaN( summa ) )
	{
		alert( 'Введена некоректная сумма' );
		return false;		
	}
	else if ( summa < 0 )
	{
		alert( 'Введите сумму больше нуля' );
		return false;		
	}
	var r = /^\d{10}$/;
	if ( ! r.test( form.phone.value ) )
	{
		alert( 'Поле телефон заполняется без префикса. Пример: 9123459878' );
		return false;		
	}
	return confirm('Вы подтверждаете платеж на сумму - ' + form.summa.value + ' ${currencyTitleMedium}?');
}
</script>

<form action="" method="POST">
<input type="hidden" name="action" value="${action}">
<input type="hidden" name="module" value="${module}">
<input type="hidden" name="mid" value="${mid}">
<input type="hidden" name="operation" value="pay" />
<input type="hidden" name="pay_option" value="2" />
<table class="tableFont tableWidth">
  <tr>
    <td class="textColor1 backgroundColor3  borderRadius" style="text-align: center; padding: 10px 20px;">
    	<h3>Пополните счет c помощью сервиса <a href="https://www.mobi-money.ru/" target="_blank" class="textColor1">MOBI.Деньги</a></h3>
		<table class="tableFont">
			<tr><td colspan="3">Оператор:<br/> <select style="width: 100%" name="serviceCode"><option value="0">---</option><c:forEach var="item" items="${dataMap['serviceCodes']}"><c:if test="${item.code gt 0}"><option value="${item.code}">${item.title}</option></c:if></c:forEach></select></td></tr>
			<tr>
			<td width="40%" style="padding: 0px 4px;">Сумма:<br/> <input type="text" name="summa" size="6" style="text-align: center; width: 100%;"/></td>
			<td width="40%" style="padding: 0px 4px;">Телефон:<br/> <input type="text" name="phone" size="10" maxlength="10" style="text-align: center; width: 100%;" title="Поле телефон заполняется без префикса. Пример: 9123459878"/></td>
			<td><br/><button type="submit" onclick="return checkMobiPay(this.form);">Оплатить</button></td>
		</tr></table>
	</td>
	<td style="width: 20px;">&nbsp;</td>
    <td style="vertical-align: top; text-align: right; padding: 0;"><div class="bgBalanceInformerWidget"></div></td>
  </tr>
</table>
</form>

<div style="margin-top: 20px;">
	<form method="GET" action="" id="mobimoneyListForm" >
		<input type="hidden" name="action" value="${action}">
		<input type="hidden" name="module" value="${module}">
		<input type="hidden" name="mid" value="${mid}">
		<input type="hidden" name="status" value="${dataMap['status']}">
		<input type="hidden" name="month" value="${dataMap['month']}">
		<input type="hidden" name="year" value="${dataMap['year']}">
		<input type="hidden" name="pageIndex" value="${dataMap['page'].pageIndex}" />
		<input type="hidden" name="pageSize" value="${dataMap['page'].pageSize}" />
	</form>

	<table class="tableFont tableWidth">
	  <tr>
		<td><div class="bgMonthAndYearWidget" formId="mobimoneyListForm" month="${dataMap['month']}" year="${dataMap['year']}" ></div></td>
		<td style="text-align: right;"><div class="bgPagesWidget" formId="mobimoneyListForm" recordCount="${dataMap['page'].recordCount}" pageIndex="${dataMap['page'].pageIndex}" pageSize="${dataMap['page'].pageSize}" pageCount="${dataMap['page'].pageCount}" /></td>
	  </tr>
	  <tr>
	  	<td><div style="display: none;">Статус: <select onchange="jQuery('#mobimoneyListForm')[0].status.value=this.value;jQuery('#mobimoneyListForm')[0].submit();">
	  	<c:forTokens var="item" items="4:Все;0:Незавершенные;1:В ожидании подтверждения;2:Завершенные;3:Отмененные" delims=";">
	  	<c:set var="itemData" value="${fn:split(item,':')}"></c:set>
	  	<c:set var="selected"><c:if test="${itemData[0] eq dataMap['status']}">selected="1"</c:if> </c:set>
	  	<option value="${itemData[0]}"${selected}>${itemData[1]}</option>
	  	</c:forTokens>
	  	</select></div></td>
	  	<td style="text-align: right;"><div>[<a href="#" onclick="jQuery(this).parent().hide().next().show().parent().prev().children().show();">показать допол. фильтры</a>]</div><div style="display: none;">[<a href="#" onclick="jQuery(this).parent().hide().prev().show().parent().prev().children().hide();">скрыть допол. фильтры</a>]</div></td>
	  </tr>
	</table>

	<table class="table tableFont tableWidth" style="border-radius: 20px;">
		<thead>
			<tr>
				<td width="50">№</td>
				<td width="150">Дата/Время оплаты</td>
				<td>Статус</td>
				<td width="150">Сумма</td>
			</tr>
		</thead>
		<tbody>
		<c:choose>
		<c:when test="${not empty dataMap['transactions']}">
			<c:forEach var="item" items="${dataMap['transactions']}">
				<tr>
					<td>${item.id}</td>
					<td><fmt:formatDate value="${item.paymentDate}" type="both" dateStyle="MEDIUM" timeStyle="MEDIUM" /> <xsl:value-of select="date" /></td>
					<td>${item.statusTitle}</td>
					<td><fmt:formatNumber value="${item.summa}" /></td>
				</tr>
			</c:forEach>
		</c:when>
		<c:otherwise>
			<tr><td colspan="4" style="text-align: center;">Записи не найдены.</td></tr>
		</c:otherwise>
		</c:choose>
		</tbody>
	</table>
</div>